/*++

Copyright (c) 1996  Microsoft Corporation

Module Name:

    globals.c

Abstract:

    global declarations

Author:

    Jim Mateer 4/1/97

Environment:

    Kernel Mode

Revision History:

--*/

#include "ImSamp.h"

#pragma hdrstop

#include <ntverp.h>



//
// AdapterList - List of adapters to which the IMSAMP is bound
//

LIST_ENTRY AdapterList;

//
// AdapterListLock - protects AdapterList
//

NDIS_SPIN_LOCK AdapterListLock;

//
// ClientProtocolHandle - handle returned by NDIS when registering the Client
//    portion of the IM 
//

NDIS_HANDLE ClientProtocolHandle;

//
// MPWrapperHandle - Ndis wrapper handle for MP section
//

NDIS_HANDLE MPWrapperHandle;

//
// LMDriverHandle - handle returned by NDIS when MP portion registers as LM
//

NDIS_HANDLE LMDriverHandle;

//
// IMDriverObject, IMDeviceObject - pointer to NT driver and device objects
//

PDRIVER_OBJECT IMDriverObject;
PDEVICE_OBJECT IMDeviceObject;

//
// ConfigData - global (driver-wide) configuration data
//

CONFIG_DATA ConfigData;

//
// NdisRequestLL - a pre-allocated list of IM_NDIS_REQUEST structures
//

NPAGED_LOOKASIDE_LIST NdisRequestLL;

//
// name constants used during registration/initialization
//

#if BINARY_COMPATIBLE
NDIS_STRING IMSymbolicName = NDIS_STRING_CONST("\\DosDevices\\Im");
#else
NDIS_STRING IMSymbolicName = NDIS_STRING_CONST("\\??\\Im");
#endif

NDIS_STRING IMDriverName = NDIS_STRING_CONST( "\\Device\\Im" );

//
// on Memphis, MP name needs to be the same as Protocol Name
//

#if BINARY_COMPATIBLE
NDIS_STRING IMMPName = NDIS_STRING_CONST( "\\Device\\Im" );
#else
NDIS_STRING IMMPName = NDIS_STRING_CONST( "\\Device\\Im" );
#endif

#if DBG

//CHAR VersionNumber[] = VER_PRODUCTVERSION_STR;
CHAR VersionNumber[] = "0.100";
CHAR VersionHerald[] = "ImSamp: Ndis 4.0 Intermediate Driver Sample: Version %s built on %s\n";
CHAR VersionTimestamp[] = __DATE__ " " __TIME__;


#endif

/* end globals.c */
